%define		_class		LiveUser
%define		_subclass	Admin
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

%define		_requires_exceptions pear(LiveUser.php)

Summary:	%{_pearname} - user authentication and permission management framework
Name:		php-pear-%{_pearname}
Version:	0.3.9
Release:	%mkrel 4
License:	PHP License
Group:		Development/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tar.bz2
URL:		http://pear.php.net/package/LiveUser_Admin/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LiveUser_Admin is meant to be used with the LiveUser package. It is
composed of all the classes necessary to administrate data used by
LiveUser.

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/%{_class}

install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Auth/Storage
install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Perm/Storage
install -d %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Storage

install -m0644 %{_pearname}-%{version}/Admin.php %{buildroot}%{_datadir}/pear/%{_class}
install -m0644 %{_pearname}-%{version}/Auth/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Auth/
install -m0644 %{_pearname}-%{version}/Auth/Storage/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Auth/Storage/
install -m0644 %{_pearname}-%{version}/Perm/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Perm/
install -m0644 %{_pearname}-%{version}/Perm/Storage/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Perm/Storage/
install -m0644 %{_pearname}-%{version}/Storage/*.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/Storage/
install -m0644 %{_pearname}-%{version}/Storage.php %{buildroot}%{_datadir}/pear/%{_class}/%{_subclass}/

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/docs/examples/* %{_pearname}-%{version}/*.txt
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Auth
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Auth/Storage
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Perm
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Perm/Storage
%dir %{_datadir}/pear/%{_class}/%{_subclass}/Storage
%{_datadir}/pear/%{_class}/%{_subclass}/Auth/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Auth/Storage/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Perm/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Perm/Storage/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/Storage/*.php
%{_datadir}/pear/%{_class}/%{_subclass}/*.php
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-4mdv2009.1
+ Revision: 322273
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-3mdv2009.0
+ Revision: 236906
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-2mdv2008.0
+ Revision: 53917
- put the files where they belong to fix deps

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-1mdv2008.0
+ Revision: 15683
- 0.3.9


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-2mdv2007.1
+ Revision: 144929
- revert to 0.3.8 due to version freeze
- 0.3.9
- package some forgotten files

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-1mdv2007.0
+ Revision: 81995
- Import php-pear-LiveUser_Admin

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.8-1mdk
- 0.3.8

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-1mdk
- 0.3.6
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

